relation capabilities
curl --request GET \
--url https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}/capabilitiesimport requests
url = "https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}/capabilities"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}/capabilities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}/capabilities"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}/capabilities")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}/capabilities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"capabilities": {
"add_partition_fields": true,
"alter_comment": true,
"alter_location": true,
"alter_properties": true,
"alter_sort_order": true,
"constraints": [
"<string>"
],
"drop_metadata": true,
"drop_partition_fields": true,
"mutation_guards": {
"catalog_revision": true,
"full_metadata_revision_compare_and_swap": true,
"guarded_drop": true,
"guarded_rename": true,
"guarded_view_alter": true,
"table_identity_schema_layout": true
},
"permissions_verified": true,
"purge_data": true,
"read": true,
"rename": true,
"rename_partition_fields": true,
"replace_view_definition": true,
"schema_evolution": {
"add_nullable_columns": true,
"add_required_columns": true,
"column_comments": true,
"column_defaults": true,
"drop_columns": true,
"generated_columns": true,
"relax_nullability": true,
"rename_columns": true,
"reorder_columns": true,
"supported_type_promotions": [
"<string>"
],
"tighten_nullability": true
},
"snapshot_history": true,
"time_travel": true,
"upgrade_format_versions": [
1
]
},
"kind": "Table",
"relation": {
"catalog": {
"catalog_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": "<string>"
},
"name": "<string>",
"namespace": [
"<string>"
]
},
"supported_commit_operations": [
"Append"
],
"table_format_version": 1
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}Relation capabilities
relation capabilities. GET /api/v1/catalogs//relations//capabilities. Uses the same payload, validation, revision checks and response as the unified HTTP API.
relation capabilities
curl --request GET \
--url https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}/capabilitiesimport requests
url = "https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}/capabilities"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}/capabilities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}/capabilities"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}/capabilities")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}/capabilities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"capabilities": {
"add_partition_fields": true,
"alter_comment": true,
"alter_location": true,
"alter_properties": true,
"alter_sort_order": true,
"constraints": [
"<string>"
],
"drop_metadata": true,
"drop_partition_fields": true,
"mutation_guards": {
"catalog_revision": true,
"full_metadata_revision_compare_and_swap": true,
"guarded_drop": true,
"guarded_rename": true,
"guarded_view_alter": true,
"table_identity_schema_layout": true
},
"permissions_verified": true,
"purge_data": true,
"read": true,
"rename": true,
"rename_partition_fields": true,
"replace_view_definition": true,
"schema_evolution": {
"add_nullable_columns": true,
"add_required_columns": true,
"column_comments": true,
"column_defaults": true,
"drop_columns": true,
"generated_columns": true,
"relax_nullability": true,
"rename_columns": true,
"reorder_columns": true,
"supported_type_promotions": [
"<string>"
],
"tighten_nullability": true
},
"snapshot_history": true,
"time_travel": true,
"upgrade_format_versions": [
1
]
},
"kind": "Table",
"relation": {
"catalog": {
"catalog_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": "<string>"
},
"name": "<string>",
"namespace": [
"<string>"
]
},
"supported_commit_operations": [
"Append"
],
"table_format_version": 1
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}ReferenceApplies to: Unified engine deployments
Related guidance
Addresses and access · Request identity · Errors and recovery · Pagination and resultsQuery Parameters
Page size, bounded by the server. For query results this counts Arrow batches, default 1.
Required range:
x >= 1Response
Successful response.
Last modified on November 4, 2026